<!DOCTYPE html>
<html>
<head>
  <link rel="stylesheet" href="https://assets.ziggeo.com/v2-stable/ziggeo.css" />
  <script src="https://assets.ziggeo.com/v2-stable/ziggeo.js"></script>
  <script>
	var ziggeoApp = new ZiggeoApi.V2.Application({
		token:"e2adc206bb739ef3300f4cef31fcf32c",
		webrtc_streaming_if_necessary: true,
		webrtc_on_mobile: true
	});
</script>

  <style>
    .loading {
      display: flex;
      justify-content: center;
      align-items: center;
      margin: 0;
      position: absolute;
      top: 50%;
      left: 50%;
    }

    body {
  background-image: url('https://d1muf25xaso8hp.cloudfront.net/https%3A%2F%2Fs3.amazonaws.com%2Fappforest_uf%2Ff1619455338988x566788716669006400%2Fnew.png?w=1536&h=3416&auto=compress&dpr=1&fit=max');
    }
  </style>
  <!--
    If you are serving your web app in a path other than the root, change the
    href value below to reflect the base path you are serving from.

    The path provided below has to start and end with a slash "/" in order for
    it to work correctly.

    For more details:
    * https://developer.mozilla.org/en-US/docs/Web/HTML/Element/base
  -->
  <base href="/flutterweb/">

  <meta charset="UTF-8">
  <meta content="IE=Edge" http-equiv="X-UA-Compatible">
  <meta name="description" content="A new Flutter project.">

  <!-- iOS meta tags & icons -->
  <meta name="apple-mobile-web-app-capable" content="yes">
  <meta name="apple-mobile-web-app-status-bar-style" content="black">
  <meta name="apple-mobile-web-app-title" content="myapp">
  <link rel="apple-touch-icon" href="icons/Icon-192.png">

  <title>Swivel</title>
  <link rel="manifest" href="manifest.json">
  <link rel="stylesheet" href="./loading.css" type="text/css">

</head>
<body>
<div id='loading' class="loading">
  <div class="whirly-loader"></div>
</div>



<!-- The core Firebase JS SDK is always required and must be listed first -->
<script src="https://www.gstatic.com/firebasejs/8.6.1/firebase-app.js"></script>
<script src="https://www.gstatic.com/firebasejs/8.6.1/firebase-storage.js"></script>
<script src="https://www.gstatic.com/firebasejs/8.6.1/firebase-firestore.js"></script>


<!-- TODO: Add SDKs for Firebase products that you want to use
     https://firebase.google.com/docs/web/setup#available-libraries -->

<script>
  // Your web app's Firebase configuration
  var firebaseConfig = {
    apiKey: "AIzaSyBcWq2EDolHdowxvHW2zZdfG_M53kosRmE",
    authDomain: "swivel-300014.firebaseapp.com",
    projectId: "swivel-300014",
    storageBucket: "swivel-300014.appspot.com",
    messagingSenderId: "931625701024",
    appId: "1:931625701024:web:e7e5a2a109b68bc29743c5"
  };
  // Initialize Firebase
  firebase.initializeApp(firebaseConfig);
</script>





  <!-- This script installs service_worker.js to provide PWA functionality to
       application. For more information, see:
       https://developers.google.com/web/fundamentals/primers/service-workers -->
  <script>
    var serviceWorkerVersion = '3411968734';
    var scriptLoaded = false;
    function loadMainDartJs() {
      if (scriptLoaded) {
        return;
      }
      scriptLoaded = true;
      var scriptTag = document.createElement('script');
      scriptTag.src = 'main.dart.js';
      scriptTag.type = 'application/javascript';
      document.body.append(scriptTag);
    }

    if ('serviceWorker' in navigator) {
      // Service workers are supported. Use them.
      window.addEventListener('load', function () {
        // Wait for registration to finish before dropping the <script> tag.
        // Otherwise, the browser will load the script multiple times,
        // potentially different versions.
        var serviceWorkerUrl = 'flutter_service_worker.js?v=' + serviceWorkerVersion;
        navigator.serviceWorker.register(serviceWorkerUrl)
          .then((reg) => {
            function waitForActivation(serviceWorker) {
              serviceWorker.addEventListener('statechange', () => {
                if (serviceWorker.state == 'activated') {
                  console.log('Installed new service worker.');
                  loadMainDartJs();
                }
              });
            }
            if (!reg.active && (reg.installing || reg.waiting)) {
              // No active web worker and we have installed or are installing
              // one for the first time. Simply wait for it to activate.
              waitForActivation(reg.installing ?? reg.waiting);
            } else if (!reg.active.scriptURL.endsWith(serviceWorkerVersion)) {
              // When the app updates the serviceWorkerVersion changes, so we
              // need to ask the service worker to update.
              console.log('New service worker available.');
              reg.update();
              waitForActivation(reg.installing);
            } else {
              // Existing service worker is still good.
              console.log('Loading app from service worker.');
              loadMainDartJs();
            }
          });

        // If service worker doesn't succeed in a reasonable amount of time,
        // fallback to plaint <script> tag.
        setTimeout(() => {
          if (!scriptLoaded) {
            console.warn(
              'Failed to load app from service worker. Falling back to plain <script> tag.',
            );
            loadMainDartJs();
          }
        }, 4000);
      });
    } else {
      // Service workers not supported. Just drop the <script> tag.
      loadMainDartJs();
    }
  </script>

<script>
window.answerVideoToken = {
    Answer1: '',
    Answer2: '',
    Answer3: ''
}
function RecordVideo(VideoID)
{
    //alert(document.getElementById(VideoID));

    if(document.getElementById(VideoID)==null)
        return setTimeout(function(){ RecordVideo(VideoID); }, 200);
    else if(document.getElementById(VideoID).innerHTML=='Loading...')
    {
        document.getElementById('loading').style.display='none';

        ziggeoApp.on("ready", function() {
            var recorder = new ZiggeoApi.V2.Recorder({
                element: document.getElementById(VideoID),
                attrs: {
                    width: "400",
                    theme: "modern",
                    themecolor: "red"
                }
            });

            recorder.activate();

            // Now you can listen for the verified event
            recorder.on("verified", function() {
              var videoToken = recorder.get('video'); // Video token is available after the event is triggered
              answerVideoToken[VideoID]=videoToken;
              alert("your Video is ready, you can click continue, or resubmit new one!");
            });

        });
    }
}

function PlayVideo(VideoID,Token)
{
    //alert(document.getElementById(VideoID));
    if(document.getElementById(VideoID)==null)
        return setTimeout(function(){ PlayVideo(VideoID,Token); }, 200);
    else if(Token=='StopPlay') document.getElementById(VideoID).innerHTML=='Loading...'
    else if(document.getElementById(VideoID).innerHTML=='Loading...')
    {
        ziggeoApp.on("ready", function() {
            var player = new ZiggeoApi.V2.Player({
                element: document.getElementById(VideoID),
                attrs: {
                    width: "400",
                    theme: "modern",
                    themecolor: "red",
                    video: Token
                }
            });

            player.activate();
        });
    }
}
</script>
</body>
</html>
